# class DBus::Data::Container

Contains one or more other values.

### Attributes

type[R]

For containers, the type varies among instances @see Base#type

### Public Class Methods

basic?() click to toggle source

        # File lib/dbus/data.rb
    513 def self.basic?
    514   false
    515 end

fixed?() click to toggle source

        # File lib/dbus/data.rb
    517 def self.fixed?
    518   false
    519 end

### Public Instance Methods

eql?(other) click to toggle source

Hash key equality See ruby-doc.org/core-3.0.0/Object.html#method-i-eql-3F Stricter than `==` (RSpec: eq), 1==1.0 but 1.eql(1.0)->false

        # File lib/dbus/data.rb
    538 def eql?(other)
    539   return false unless other.class == self.class
    540
    541   other.exact_value.eql?(exact_value)
    542 end

exact_value() click to toggle source

@return something that is, or contains, {Data::Base}.

    Er, this docs kinda sucks.

        # File lib/dbus/data.rb
    527 def exact_value
    528   @value
    529 end

value() click to toggle source

        # File lib/dbus/data.rb
    531 def value
    532   @value.map(&:value)
    533 end